> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mezmo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Log Volume Reduction

> Post log volume reduction actions to a pipeline



## OpenAPI

````yaml /pipeline.yaml post /pipeline/{pipeline_id}/log-volume-reduction
openapi: 3.1.0
info:
  title: Pipeline API
  description: API for the Pipeline product
  version: 3.345.5
servers:
  - url: https://api.mezmo.com/v3
security:
  - PipelineServiceKey: []
tags:
  - name: Internal
    description: Routes not accessible by outside users
  - name: Experimental
    description: Experimental routes, not intended for public consumption
  - name: Account
    description: Perform account level actions
  - name: Alerting
    description: API to control alerts on pipelines
  - name: Data Classification & Profiling
    description: API for classifying and profiling data
  - name: Edge - Local Deploy
    description: User routes that are available to use with local Edge instances
  - name: Incident Mode
    description: Change or read state of pipeline (incident mode on/off)
  - name: Log Volume Reduction
    description: CRUD operations for log volume reduction
  - name: Metrics
    description: Usage metrics for pipelines
  - name: Pipeline Export
    description: Export pipeline to terraform
  - name: Pipeline Management
    description: CRUD Operations for pipeline
  - name: Pipeline Nodes
    description: CRUD operations for sources, processors, and destinations
  - name: Processor Groups
    description: CRUD operations for Processor Groups
  - name: Shared Sources
    description: Create and manage sources for use across multiple pipelines
  - name: Sampling and Simulation
    description: >-
      Create samples of data and run them through a simulated pipeline without
      affecting your published pipeline
externalDocs:
  url: https://docs.mezmo.com/pipeline-api
paths:
  /pipeline/{pipeline_id}/log-volume-reduction:
    post:
      tags:
        - Log Volume Reduction
      summary: Log Volume Reduction
      description: Post log volume reduction actions to a pipeline
      parameters:
        - schema:
            type: boolean
            default: false
          in: query
          name: create_new_classifier_analysis
          required: false
        - schema:
            type: string
            format: uuid
          in: path
          name: pipeline_id
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                place_before_transform_id:
                  type: string
                  format: uuid
                processor_title:
                  type: string
                actions:
                  type: array
                  minItems: 1
                  items:
                    type: object
                    oneOf:
                      - type: object
                        required:
                          - drain
                      - type: object
                        required:
                          - field_summary
                    properties:
                      type:
                        type: string
                        enum:
                          - dedupe
                          - filter
                          - sample
                          - throttle
                          - drop-field
                      title:
                        oneOf:
                          - type: string
                            minLength: 1
                            maxLength: 512
                            pattern: ^[^<>"]+$
                          - type: 'null'
                        errorMessage: invalid title name
                      drain:
                        type: string
                      field_summary:
                        type: object
                        properties:
                          field:
                            type: string
                            minLength: 1
                          value:
                            oneOf:
                              - type: string
                                minLength: 1
                              - type: 'null'
                        required:
                          - field
                      description:
                        oneOf:
                          - type: string
                            minLength: 1
                            pattern: ^[^<>"]+$
                          - type: 'null'
                        errorMessage: invalid description
                      user_config:
                        type: object
                    if:
                      properties:
                        type:
                          enum:
                            - drop-field
                    then:
                      allOf:
                        - type: object
                          required:
                            - field_summary
                        - type: object
                          properties:
                            field_summary:
                              type: object
                              properties:
                                value:
                                  type: 'null'
                    else:
                      properties:
                        type:
                          not:
                            enum:
                              - drop-field
              required:
                - processor_title
                - actions
        required: true
      responses:
        '200':
          description: Default Response
components:
  securitySchemes:
    PipelineServiceKey:
      type: apiKey
      name: Authorization
      in: header
      description: 'Enter your token in the format: Token mytokengoeshere'

````